Bug 278625 - FR: Route planer: Add a "reverse route" button
Summary: FR: Route planer: Add a "reverse route" button
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: 1.3 (KDE 4.8)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-27 14:30 UTC by Ettore Atalan
Modified: 2012-05-15 17:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: KDE-4.9.0


Attachments
The reverse route button of Google Maps is marked in red. (16.61 KB, image/png)
2011-07-27 14:30 UTC, Ettore Atalan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ettore Atalan 2011-07-27 14:30:23 UTC
Created attachment 62240 [details]
The reverse route button of Google Maps is marked in red.

Version:           unspecified (using KDE 4.6.5) 
OS:                Linux

Hi

I would like a "reverse route" button, which reverts the current start to destination and the current destination to start.


Regards,
Atalanttore

Reproducible: Always

Steps to Reproduce:
None, feature request.


Expected Results:  
None, feature request.
Comment 1 Dennis Nienhüser 2012-05-13 21:10:21 UTC
Git commit 70003fa4d415f545c66d0ee13b16d18f7c4d812f by Dennis Nienhüser.
Committed on 13/05/2012 at 22:54.
Pushed by nienhueser into branch 'master'.

Make common tasks easier/possible in the user interface.

Adds buttons to open a route (from .kml), clear the current one,
reverse it, add a via point and save it.
GUI:
REVIEW: 102539
Related: bug 285090, bug 281278
FIXED-IN: KDE-4.9.0

A  +-    --    src/icons/16x16/configure.png
A  +-    --    src/icons/16x16/document-open.png
A  +-    --    src/icons/16x16/document-save.png
M  +19   -33   src/lib/routing/RoutingWidget.cpp
M  +72   -16   src/lib/routing/RoutingWidget.ui
M  +3    -0    src/marble.qrc

http://commits.kde.org/marble/70003fa4d415f545c66d0ee13b16d18f7c4d812f
Comment 2 Ettore Atalan 2012-05-15 17:49:19 UTC
Thanks a lot!